Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
AnchorNode Struct Reference

`#include <regparse.h>`

## Data Fields
NodeBase | base
int | type
struct _Node * | target
int | char_len
int | ascii_range

## Detailed Description

Definition at line 244 of file regparse.h.

## Field Documentation

## ◆ ascii_range

int AnchorNode::ascii_range

Definition at line 249 of file regparse.h.

## ◆ base

NodeBase AnchorNode::base

Definition at line 245 of file regparse.h.

## ◆ char_len

int AnchorNode::char_len

Definition at line 248 of file regparse.h.

## ◆ target

struct _Node* AnchorNode::target

Definition at line 247 of file regparse.h.

## ◆ type

int AnchorNode::type

Definition at line 246 of file regparse.h.

The documentation for this struct was generated from the following file:

- regparse.h